Summary:        The Byte Code Engineering Library
Name:           bcel
Version:        6.8.0
Release:        1%{?dist}
License:        ASL 2.0
URL:            http://commons.apache.org/proper/commons-bcel/
Source0:        http://archive.apache.org/dist/commons/bcel/source/bcel-%{version}-src.tar.gz
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.commons:commons-parent:pom:)

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
The Byte Code Engineering Library (Apache Commons BCEL™) is intended to give 
users a convenient way to analyze, create, and manipulate (binary) Java class 
files (those ending with .class). Classes are represented by objects which 
contain all the symbolic information of the given class: methods, fields and 
byte code instructions, in particular. 

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.



%prep
%autosetup -p1 -n %{name}-%{version}-src

%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :spotbugs-maven-plugin

%mvn_alias : bcel: apache:
%mvn_file : %{name}



%build
%mvn_build -f



%install
%mvn_install



%files -f .mfiles
%license LICENSE.txt NOTICE.txt
%doc RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt



%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 6.8.0-1
- Upgrade to version 6.8.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.5.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.5.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Zhao Zhen <jeremiazhao@tencent.com> - 6.5.0-1
- initial
